=== debian/changelog ===
ros-melodic-gazebo-plugins (2.8.7-1bionic) bionic; urgency=high

  * gazebo_ros_wheel_slip: remove unused member data (#1084 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1084>)
  * gazebo_ros_wheel_slip plugin (#995 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/995>)
    Uses dynamic_reconfigure to set wheel slip parameters.
    Requires gazebo 9.5.
    * don't overwrite initial slip values
    * Add test world using trisphere_cycles
  * portable installation fix. (#1061 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1061>)
  * Measure IMU orientation with respect to world (#1051 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1051>)
    Report the IMU orientation from the sensor plugin with respect to the world frame.
    This complies with convention documented in REP 145: https://www.ros.org/reps/rep-0145.html
    In order to not break existing behavior, users should opt-in by adding a new SDF tag.
  * Contributors: Jacob Perron, Sean Yen, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 30 Apr 2020 22:00:00 -0000

ros-melodic-gazebo-plugins (2.8.6-1bionic) bionic; urgency=high

  * gazebo_plugins: export plugin path in package.xml (#923 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/923>)
  * Fix destructor of gazebo_ros_diff_drive.cpp (#1021 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1021>)
    Fix issue referenced in #123 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/123> where the destructor of ROS DiffDrive plugin causes gzserver to crash on model deletion.
  * [Windows][melodic-devel] more Windows build break fix (#975 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/975>)
    * Fix CMake install error for Windows build.
    * conditionally include <sys/time.h>
  * Use ignition::math::Rand utility for portability. (#878 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/878>)
  * Contributors: Ben Wolsieffer, RemiRigal, Sean Yen

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 25 Dec 2019 23:00:00 -0000

ros-melodic-gazebo-plugins (2.8.5-1bionic) bionic; urgency=high

  * use C++11 std sleep instead of usleep. (#877 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/877>)
  * Lower minimum cmake version (#817 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/817>)
  * Contributors: Paul Bovbel, Sean Yen [MSFT]

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 03 Jun 2019 22:00:00 -0000

ros-melodic-gazebo-plugins (2.8.4-1bionic) bionic; urgency=high

  * Fix various xacro/xml issues with tests
  * Fix handling of boolean values since Gazebo API returns
    'true'/'false' as '1'/'0' strings
  * Add auto_distortion parameter to camera utils
  * Corrected depth camera plugin initialization (#748)
    * Initialize depth_image_connect_count_ to 0
    * Removed duplicate line in CMakeLists.txt
  * Fix melodic compiler warnings (#744)
    * Fix model_state_test. -v means --version not --verbose
    * fix gazebo9 warnings by removing Set.*Accel calls
    * gazebo_plugins: don't use -r in tests
  * add missing distortion test worlds
  * fix 16bit test name
  * test for triggered_camera
  * update copyright dates and remove copied comments
  * remove compiler directives for old gazebo versions
  * use correct timestamp for images
  * adds triggered cameras and multicameras
  * Contributors: Jose Luis Rivero, Kevin Allen, Martin Ganeff, Morgan Quigley, Steven Peters, Timo Korthals, iche033

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 05 Jul 2018 22:00:00 -0000

ros-melodic-gazebo-plugins (2.8.3-1bionic) bionic; urgency=high

  * End of legacy for diff drive plugin (#707 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/707>)
    This PR ends with the option to set legacy in a ROS parameter.
    In old versions of the code the right and left wheel were changed
    to fix a former code issue. To fix an old package you have to
    exchange left wheel by the right wheel.
  * Remove gazebo_ros_joint_trajectory plugin (#708 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/708>)
  * Add publishOdomTF flag (#692 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/692>) (#727 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/727>)
  * DIFF DRIVE: wheel odometry twist is child frame (#719 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/719>)
  * ROS UTILS: initialize rosnode_ in alternative constructor to avoid segfault #478 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/478> (#718 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/718>)
  * Contributors: Jose Luis Rivero, Kevin Allen

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 03 Jun 2018 22:00:00 -0000

ros-melodic-gazebo-plugins (2.8.2-1bionic) bionic; urgency=high

  * Fix the build on Ubuntu Artful. (#715 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/715>)
    Artful has some bugs in its cmake files for Simbody that
    cause it to fail the build.  If we are on artful, remove
    the problematic entries.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 08 May 2018 22:00:00 -0000

ros-melodic-gazebo-plugins (2.8.1-1bionic) bionic; urgency=high

  * Update version to 2.8.0
  * Fix sensors after time reset (lunar-devel) (#705 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/705>)
    * camera plugin keeps publishing after negative sensor update interval
    World resets result in a negative time differences between current world
    time and the last recorded sensor update time, preventing the plugin
    from publishing new frames. This commit detects such events and resets
    the internal sensor update timestamp.
    * block_laser, range, and joint_state_publisher keep publishing after clock reset
    * p3d keeps publishing after clock reset

